Pipeline Input Set
This contains APIs related to Input Sets
Lists all Input Sets for a Pipeline
Page Index of the results to fetch.Default Value: 0
0Results per page
100Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline identifier for which we need the Input Sets list.
Type of Input Set. The default value is ALL.
ALLPossible values: Search term to filter out Input Sets based on name, identifier, tags.
Sort criteria for the elements.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
if true, return all the default entities
Bad Request
This is Failure entity as defied in Harness
Internal server error
Fetch all the Input Sets for a Pipeline, including Overlay Input Sets.
GET /gateway/pipeline/api/inputSets?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Creates an Input Set for a Pipeline
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Github branch of the Pipeline for which the Input Set is to be created
Github Repo identifier of the Pipeline for which the Input Set is to be created
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path to the root folder of the Entity. [Applicable for Old Git Sync only]
File Path of the Entity.
File Path of the Entity.
Checks the new branch
falseName of the default branch.
Identifier of Connector needed for CRUD operations on the respective Entity
Tells whether the Entity is to be saved on Git or not
Name of the repository.
Is Harness code repo enabled
Input set yaml version, should be one of '0' or '1'
0Bad Request
This is Failure entity as defied in Harness
Internal server error
If the YAML is valid, returns created Input Set. If not, it sends what is wrong with the YAML
POST /gateway/pipeline/api/inputSets?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/yaml
Accept: */*
Content-Length: 1805
"|
inputSet:
name: Sample Input Set
tags: {}
identifier: Sample_Input_Set
orgIdentifier: default
projectIdentifier: MISC
pipeline:
identifier: Sample_Pipeline
stages:
- stage:
identifier: Sample_Stage
type: Approval
spec:
execution:
steps:
- step:
identifier: Approval_Step
type: HarnessApproval
spec:
approvers:
userGroups:
- account.Admins
- step:
identifier: Shellscript_Step
type: ShellScript
spec:
source:
type: Inline
spec:
script: echo \"ShellScript\"
- stage:
identifier: Sample_Deploy_Stage
type: Deployment
spec:
serviceConfig:
serviceRef: Service1
infrastructure:
environmentRef: Env1
infrastructureDefinition:
type: KubernetesDirect
spec:
connectorRef: account.harnessciplatform
namespace: sample
"{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path to the root folder of the Entity. [Applicable for Old Git Sync only]
File Path of the Entity.
File Path of the Entity.
Checks the new branch
falseName of the default branch.
Identifier of Connector needed for CRUD operations on the respective Entity
Tells whether the Entity is to be saved on Git or not
Name of the repository.
Is Harness code repo enabled
Input set yaml version, should be one of '0' or '1'
0Bad Request
This is Failure entity as defied in Harness
Internal server error
If the YAML is valid, returns created Overlay Input Set. If not, it sends what is wrong with the YAML
POST /gateway/pipeline/api/inputSets/overlay?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns Input Set for a Given Identifier (Throws an Error if no Input Set Exists)
Identifier for the Input Set
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Github branch of the Pipeline for which the Input Set is to be fetched
Github Repo identifier of the Pipeline for which the Input Set is to be fetched
falseName of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
if true, return all the default entities
falseBad Request
This is Failure entity as defied in Harness
Internal server error
Returns Input Set if exists for the given Identifier.
GET /gateway/pipeline/api/inputSets/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Updates the Input Set for a Pipeline
Identifier for the Input Set that needs to be updated. An Input Set corresponding to this identifier should already exist.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Github branch of the Pipeline for which the Input Set is to be updated
Github Repo Id of the Pipeline for which the Input Set is to be updated
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path to the root folder of the Entity. [Applicable for Old Git Sync only]
File Path of the Entity.
Commit Message to use for the merge commit.
Its required field during update call request. It can be fetched from the response of GET API call for the entity
If the entity is git-synced, this parameter represents the commit id against which file conflicts are resolved
Name of the default branch.
Identifier of Connector needed for CRUD operations on the respective Entity
last commit id of the file
Checks the new branch
falseIs Harness code repo enabled
Input set yaml version, should be one of '0' or '1'
0Version of Entity to match
Bad Request
This is Failure entity as defied in Harness
Internal server error
If the YAML is valid, returns the updated Input Set. If not, it sends what is wrong with the YAML
PUT /gateway/pipeline/api/inputSets/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/yaml
Accept: */*
Content-Length: 1805
"|
inputSet:
name: Sample Input Set
tags: {}
identifier: Sample_Input_Set
orgIdentifier: default
projectIdentifier: MISC
pipeline:
identifier: Sample_Pipeline
stages:
- stage:
identifier: Sample_Stage
type: Approval
spec:
execution:
steps:
- step:
identifier: Approval_Step
type: HarnessApproval
spec:
approvers:
userGroups:
- account.Admins
- step:
identifier: Shellscript_Step
type: ShellScript
spec:
source:
type: Inline
spec:
script: echo \"ShellScript\"
- stage:
identifier: Sample_Deploy_Stage
type: Deployment
spec:
serviceConfig:
serviceRef: Service1
infrastructure:
environmentRef: Env1
infrastructureDefinition:
type: KubernetesDirect
spec:
connectorRef: account.harnessciplatform
namespace: sample
"{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Deletes the Input Set by Identifier
Identifier of the Input Set that should be deleted.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path to the root folder of the Entity. [Applicable for Old Git Sync only]
File Path of the Entity.
Commit Message to use for the merge commit.
Last Object Id
Version of Entity to match
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return the Deleted Input Set
DELETE /gateway/pipeline/api/inputSets/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Lists regular Input Sets for multiple pipelines (excludes overlay input sets). If pipeline identifiers are not provided, fetches all accessible input sets based on RBAC permissions.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
20Search term to filter out Input Sets based on name, identifier, tags.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Fetch regular Input Sets for the specified pipelines (excludes overlay input sets). If no pipeline identifiers provided, returns all accessible input sets based on RBAC.
POST /gateway/pipeline/api/inputSets/get/batch-input-sets-metadata?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 32
{
"pipelineIdentifiers": [
"text"
]
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Gets multiple input sets by their identifiers for a specific pipeline. Only returns non-deleted input sets.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier
Bad Request
This is Failure entity as defied in Harness
Internal server error
Fetch multiple non-deleted input sets by their identifiers.
POST /gateway/pipeline/api/inputSets/get/bulk?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 32
{
"inputSetIdentifiers": [
"text"
]
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Github branch of the Pipeline to which the Input Sets belong
Github Repo identifier of the Pipeline to which the Input Sets belong
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
if true, return all the default entities
falseContains list of Input Set references and Stage Ids
List of Input Set References to be merged
This is a boolean value that indicates if the response must contain the YAML for the merged Pipeline. The default value is False.
List of Stage Ids. Input Sets corresponding to these Ids will be merged.
Runtime Input Yaml needed to be merged into the result of the merged Yaml of the inputSetReferences
InputSetBranchName
Bad Request
This is Failure entity as defied in Harness
Internal server error
Merge given Input Sets into A single Runtime Input YAML
POST /gateway/pipeline/api/inputSets/merge?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 142
{
"inputSetReferences": [
"text"
],
"withMergedPipelineYaml": true,
"stageIdentifiers": [
"text"
],
"lastYamlToMerge": "text",
"inputSetBranchName": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Identifier for the Overlay Input Set
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Github branch of the Pipeline for which the Input Set is to be fetched
Github Repo identifier of the Pipeline for which the Input Set is to be fetched
falseName of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
if true, return all the default entities
falseBad Request
This is Failure entity as defied in Harness
Internal server error
The Overlay Input Set that corresponds to the given Overlay Input Set Identifier
GET /gateway/pipeline/api/inputSets/overlay/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Identifier for the Overlay Input Set that needs to be updated.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path to the root folder of the Entity. [Applicable for Old Git Sync only]
File Path of the Entity.
Commit Message to use for the merge commit.
Its required field during update call request. It can be fetched from the response of GET API call for the entity
If the entity is git-synced, this parameter represents the commit id against which file conflicts are resolved
Name of the default branch.
Identifier of Connector needed for CRUD operations on the respective Entity
last commit id of the file
Checks the new branch
falseIs Harness code repo enabled
Input set yaml version, should be one of '0' or '1'
0Version of Entity to match
Bad Request
This is Failure entity as defied in Harness
Internal server error
If the YAML is valid, returns the updated Overlay Input Set. If not, it sends what is wrong with the YAML
PUT /gateway/pipeline/api/inputSets/overlay/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns Runtime Input Template for a Pipeline
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline identifier for which we need the Runtime Input Template.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
if true, return all the default entities
falseContains Stage Identifiers to filter Runtime Input Template.
List of Stage identifiers for which the Runtime Input template is needed
Bad Request
This is Failure entity as defied in Harness
Internal server error
Fetch Runtime Input Template for a Pipeline, along with any expressions whose value is needed for running specific Stages
POST /gateway/pipeline/api/inputSets/template?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"stageIdentifiers": [
"text"
],
"serviceWithGitInfoList": [
{
"ref": "text",
"branch": "text"
}
]
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Force-refreshes the git file cache for a remote Input Set and returns the freshly fetched entity. Requires the git branch query parameter — repo default branch is not inferred when branch is omitted. Behind the PIPE_GITX_FORCE_REFRESH feature flag.
Identifier for the Input Set
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Name of the branch.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns Input Set YAML fetched fresh from git
GET /gateway/pipeline/api/inputSets/refresh-and-get/{inputSetIdentifier}?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&branch=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Update git-metadata in remote input-set and return the updated input-set
Identifier for the Input Set
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline Identifier for the entity.
Identifier of Connector needed for CRUD operations on the respective Entity
Name of the repository.
File Path of the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns identifier of updated input-set
PUT /gateway/pipeline/api/inputSets/{inputSetIdentifier}/update-git-metadata?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?